#prod-customize{
    padding-top: 50px;
    padding-bottom: 100px;
}

#prod-customize .info-svg{
    height: auto;
    cursor:pointer;
    max-width: 20px;
    margin-bottom: 5px;
    margin-right: 10px;
}

#prod-customize .info-svg .fil0{
    fill: white;
}
#prod-customize .info-svg .fil1{
    fill: black;
}
#prod-customize .info-svg-link{
    font-size: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#prod-customize .info-svg-link:hover .info-svg .fil0{
    fill: var( --e-global-color-primary );
}

.prod-customize-title{
    font-size: 30px;
    font-weight: 600;
    text-align: center;
}

.prod-customize-content .available-types div svg .fil0,
.prod-customize-content .available-sizes div svg .fil0{
    fill: var( --e-global-color-2e5aa42 );
}

.prod-customize-content .available-sizes div svg .fil1{
    fill: black;
}

.prod-customize-content .available-types div:hover svg .fil0,
.prod-customize-content .available-types div.selected svg .fil0,
.prod-customize-content .available-sizes div:hover svg .fil0,
.prod-customize-content .available-sizes div.selected svg .fil0{
    fill: var( --e-global-color-primary );
}

#prod-customize .prod-customize-content .available-types,
#prod-customize .prod-customize-content .available-sizes {
    display: flex;
    align-items: center;
    justify-content: center;
    width:100%;

}

#prod-customize .prod-customize-content .available-types img,
#prod-customize .prod-customize-content .available-sizes img{
    opacity: 0;
}

#prod-customize .prod-customize-content .available-types div,
#prod-customize .prod-customize-content .available-sizes div{
    cursor:pointer;
}

#prod-customize .prod-customize-content .available-types svg{
    max-width: 100px;
    max-height:100px;
    margin: 0px 10px;
    width: 100%;
    height: auto;
}

#prod-customize .prod-customize-content .svg,
#prod-customize .prod-customize-content .customization-type-img,
#prod-customize .prod-customize-content .customization-name,
#prod-customize .prod-customize-content .customization-price{
    user-select:none;
    pointer-events:none;
}

#prod-customize .prod-customize-content .first-style-selector svg .fil1 {
    fill: black!important;
}


#prod-customize .prod-customize-types .prod-customize-content,
#prod-customize .available-customizations{
    display:flex;
    justify-content: center;
    flex-wrap:wrap;
}

#prod-customize .available-customizations > div{
    max-width: 175px;
    margin: 0 10px;
    cursor:pointer;
    padding: 10px;
}

#prod-customize .available-customizations > div.selected{
    border: 3px solid var(--e-global-color-primary);
}

#prod-customize #custom-details{
    border: 2px solid black;
    max-width: 550px;
    height:100px;
    margin: 0 auto;
    display:block;
    border-radius: 20px;
    font-size:20px;
    font-family: 'Oswald', Sans-Serif;
    padding:10px 20px;
    font-weight:400;
}

#prod-customize{
    text-align: center;
    font-size:20px;
}

#prod-customize .prod-customize-content .available-sizes img,
#prod-customize .prod-customize-content .available-sizes svg {
    max-width: 65px;
    max-height: 65px;
    width: 100%;
    height:auto;
    user-select:none;
    pointer-events:none;
    padding-left:10px;
    padding-right:10px;
}

#prod-customize .gender-title,
#prod-customize .customization-name,
#prod-customize .customization-price{
    text-align: center;
    font-size: 30px;
    text-transform: uppercase;
    pointer-events:none;
    user-select:none;
}

#prod-customize .customization-price .amount{
    background-color: var(--e-global-color-primary);
    padding: 0px 10px;
}

#prod-customize .customization-name{
    font-size:20px;
}

#prod-customize div.big-popup-btn,
#prod-customize .file-upload__button{

    font-weight: 900;
    text-transform: uppercase;
    font-size: 25px;
    border-radius: 10px;
    border: 3px solid black;
    text-align: center;
    padding: 5px 15px 0px 15px;
    user-select:none;
    cursor:pointer;
    color:var(--e-global-color-primary);
    background-color: #292a2d;
    margin-right:10px;
    margin-left:10px;
}

#prod-customize div.big-popup-btn:hover {
    background-color: black;
}

#prod-customize #popup-qty{
    width: 100px;
    border: 2px solid black;
    padding: 3px;
    color: black;
    text-align: right;
    border-radius: 10px;
    font-size: 25px;
    font-weight: 600;
    padding-right: 10px;
    padding-bottom: 0;
    place-self: normal;
    margin-right: auto;
}

#prod-customize .prod-customize-content .available-colours div.colour-container{
    pointer-events:none;
}

#prod-customize .prod-customize-content .available-colours div.colour-wrapper{
    padding: 2px;
    border: 2px solid #d7d7d7;
    border-radius:50px;
    margin: 0 5px;
    cursor: pointer;
}

#prod-customize .prod-customize-content .available-colours div.colour-wrapper.selected{
    border-color: black;
}

#prod-customize #popup-qty::-webkit-outer-spin-button,
#prod-customize #popup-qty::-webkit-inner-spin-button {
    /* display: none; <- Crashes Chrome on hover */
    -webkit-appearance: none;
    margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
}

#prod-customize #popup-qty {
    -moz-appearance:textfield; /* Firefox */
}

#prod-customize .prod-customize-finish .prod-customize-content{
    display:flex;
    align-items: baseline;
    justify-content: flex-end;
    max-width: 650px;
    font-size: 30px;
    margin-left: auto;
    margin-right:auto;
}

#prod-customize > div:not(:first-child) {
    margin-top:50px;
}

#prod-customize .available-colours{
    display: flex;
    align-items: center;
    justify-content: center;
}

#prod-customize .available-colours .colour-selector{
    width:40px;
    height:40px;
    border: 3px solid black;
    border-radius:50%;
    margin: 0px 10px;
    cursor:pointer;
}

#prod-customize .prod-customize-content .available-colours .colour-container{
    width:35px;
    height:35px;
    border-radius:50px;
    cursor:pointer;

}
#prod-customize .available-colours .colour-selector.selected{
    border-color: var(--e-global-color-primary);
}

#prod-customize .available-colours .colour-selector.cs-black{
    background-color: #272727;
}

#prod-customize .available-colours .colour-selector.cs-white{
    background-color:white;
}

#prod-customize .file-upload {
    display: inline-flex;
    align-items: center;
    font-size: 15px;
}

#prod-customize .file-upload__input {
    display: none;
}

#prod-customize .file-upload__button {
    -webkit-appearance: none;
    outline: none;
    font-size:20px;
    margin-top:20px;
}

#prod-customize .file-upload__button:active {
    background: #000000;
}

#prod-customize .file-upload__label {
    max-width: 250px;
    font-size: 20px;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    margin-top:20px;
}


@media screen and (max-width: 767px){
    .prod-customize-title, #prod-customize .gender-title{
        font-size: 25px;
    }

    #prod-customize .available-customizations > div{
        margin: 0;
        padding: 5px;
    }

    #prod-customize .customization-name{
        font-size: 14px;
    }

    #prod-customize .file-upload{
        display:block;
    }

    #prod-customize .file-upload__label{
        margin-left:auto;
        margin-right:auto;
    }


    #prod-customize .prod-customize-finish .prod-customize-content{
        flex-wrap: wrap;
        justify-content: space-between;
    }

    #prod-customize #popup-qty{
        width:100%;
        text-align:center;
        margin-bottom: 30px;
    }

    #prod-customize div.big-popup-btn, #prod-customize .file-upload__button{
        margin-left: 0;
        margin-right: 0;
    }


    #prod-customize .prod-customizer-content .available-colours .colour-container{
        width:17px;
        height:17px;
        border-radius:50px;

    }
}

